Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234331 - Review Request: linuxdcpp - Direct Connect client
Summary: Review Request: linuxdcpp - Direct Connect client
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 278481 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 15:03 UTC by Marcin Garski
Modified: 2012-04-05 12:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-14 20:48:18 UTC
jochen: fedora-review+


Attachments (Terms of Use)

Description Marcin Garski 2007-03-28 15:03:16 UTC
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/linuxdcpp.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fe/linuxdcpp-0-0.1.20070326cvs.src.rpm
Description: LinuxDC++ is a Linux port of DC++, a popular client for Direct Connect network.

Two questions:
- What path should I use for Icon in linuxdcpp.desktop, the one from my .desktop "Icon=/usr/share/linuxdcpp/pixmaps/linuxdcpp.png" or maybe create /usr/share/pixmaps/, copy linuxdcpp.png to it and change Icon to "Icon=linuxdcpp.png"?

- Which icon should I use in .desktop linuxdcpp-icon.png (20 x 20), or linuxdcpp.png (96 x 96)?

Comment 1 Jochen Schmitt 2007-03-28 15:53:26 UTC
Good:
+ Rpmlint ok on source rpm.
+ Local build works fine.
+ Rpmlint quite on binary rpm.
+ Rpmlint quite on Debuginfo rpm.
+ Local install and uninstall works fine.
+ Local start of application works fine.
+ License ok.
+ Naming ok.

Bad:
- Build doesn't use $RPM_OPT_FLAGS

Answers to your questions:
* Please use /usr/share/pixmaps for the icon

Question from the review:
* The software seems to be an cvs snapshot, what is the level of stablity of
this application?

Comment 2 Jochen Schmitt 2007-03-28 16:08:15 UTC
Additonal Infos:

Good:
+ Mock build works fine.

Comment 3 Marcin Garski 2007-03-28 18:03:44 UTC
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/linuxdcpp.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fe/linuxdcpp-0-0.2.20070326cvs.src.rpm

- Use CXXFLAGS
- Install icon in pixmaps directory

Me and my friend are using LinuxDC++ from time to time, without any major
stablity problems.

Comment 4 Jochen Schmitt 2007-03-28 18:51:03 UTC
Hello,

I have done a look on the official project website. On this site I could read,
that the first official release may be coming at the end of this way. Becouse
this seems to be a developement release I must taged you reveiw request with an '-'.

Of couse I may willing to review your package when a official release of ths
software may available.



Comment 5 Marcin Garski 2007-03-28 20:08:57 UTC
I don't know have you noticed that the news about official release was writen on
13th Nov 2006, we have now four months later and still no official release.
Besides if you look at the changelog you will see that the project is developed
at least since 2005-02-16, so two years of developing.

I don't know when there will be official release, but it's core engine are based
on latest stable DC++ release, the GUI is pretty usable (IMHO it's the most
usuable DC client available in Linux, and I'm not the only person who tell this)
and stable.

So I thought that it would be useful to have this package in Fedora repo as many
people could you just with "yum install linuxdcpp".

I also suggest you to read: https://forums.gentoo.org/viewtopic-t-226868.html
(thread since 2004 to today).

Of course I will follow your decision, but please try to see my point :)

Comment 6 Marcin Garski 2007-03-28 20:19:18 UTC
I could add note to description (and/or summary) that this package is still in
alpha/beta or whatever stage so it could cause some problems.

Comment 7 Marcin Garski 2007-03-28 20:41:36 UTC
Last spam for today ;-)

I could ask LinuxDC++ developers when they are willing to make official release,
also package can stay only in devel branch and move to others after stable release.

Comment 8 Marcin Garski 2007-04-03 09:39:08 UTC
I have asked LinuxDC++ developer when they plan to make a release:
https://lists.berlios.de/pipermail/linuxdcpp-developers/2007-March/000443.html

Why there haven't benn official release, because "the only thing holding back a
release is the incomplete i18n support", besides "I've been packaging linuxdcpp
without any major issue for months now in debian".

Have this convinced you to review? :) Or should I wait until official release?

Comment 9 Jochen Schmitt 2007-06-24 18:08:58 UTC
From my point of view, this is not a blocker to build an official release.
Please ask them to release a version like 0.9.0, what indicates, that not all
features are implemented. If they will have implemented the i18n support, they
can release a 1.0 version.

Comment 10 Jochen Schmitt 2007-07-16 14:57:53 UTC
Ping Marcin

Can you tell me anything about your current state?

Comment 11 Marcin Garski 2007-08-13 20:41:28 UTC
It's the same as it was. Seven months ago you have asked me "* The software
seems to be an cvs snapshot, what is the level of stablity of this
application?". I'm still using my package (just with newer snapshots) and maybe
linuxdcpp crashed to times, but I don't even remember what I was doing.

Comment 12 Jochen Schmitt 2007-08-14 18:36:36 UTC
Okey, If ther no official version of the software until the end of this month, I
will close the review with a minus flag.

Of course you can restart a review, if there an official version.

Best Regards:

Jochen Schmitt

Comment 13 Jochen Schmitt 2007-09-06 16:57:47 UTC
Because there is no official stable distrubtion of the upstream package, I will
revoke thsi review.

Please feel free to restart a new review request if a stable version is available.

Comment 14 Marcin Garski 2007-09-24 18:57:09 UTC
http://mgarski.fedorapeople.org/linuxdcpp-1.0.0-1.fc7.src.rpm
http://mgarski.fedorapeople.org/linuxdcpp.spec

LinuxDC++ team released 1.0.0 version, so I reopen this bug.

FYI: You have rejected to review my package but in bug #278481 review of cvs
snapshot is being done.
What do we do in such case, where two same packages are being reviewed?

Comment 15 Zdenek Prikryl 2007-09-25 07:57:59 UTC
*** Bug 278481 has been marked as a duplicate of this bug. ***

Comment 16 Jochen Schmitt 2007-10-11 16:47:42 UTC
Good:
+ Mock build for Devel and F-7 works fine (x86_64, ppc64)
+ Package meets naming and packaging guideline
+ Spec file matches with package base name
+ Spec file have consistant macro ussage
+ Version is GPLv2
+ Spec is in English
+ Spec is legible
+ Tarball matches with upstream
  (md5sum: 33c3b0ae46772dec3142e35c30401a27)
+ Package has correct buildroot
+ Package has no redundant BuildRequires
+ Package has no sub packages
+ Local build works fine.
+ Package has %defattr and proper permissions
+ Package has a proper %clean section
+ Buildroot will be cleaned on the beginning of the %install section
+ %doc file don't affect runtime
+ Package contains no duplicated files
+ Package doesn't own file from other packages
+ %changeLog section is correct.
+ Locdl install and uninstall works fine.
+ Application has proper menue item
+ Application started without a crash
+ Rpmlint don't complaints the binary and debuginfo rpm

Bad:
- License Tag says GPLv2+
- Duplicate BuildRequires: pkgconfig (by gtk2-devel), 
  glib2-devel (by gtk2-devel), gtk2-devel (by libglade2-devel), 
  zlib-devel (by openssl-devel)
- Rpmlint complaints on source rpm:
 $ rpmlint linuxdcpp-1.0.0-1.fc7.src.rpm
linuxdcpp.src:25: W: rpm-buildroot-usage %build FAKE_ROOT="$RPM_BUILD_ROOT"



Comment 17 Marcin Garski 2007-10-11 20:15:16 UTC
(In reply to comment #16)
> Bad:
> - License Tag says GPLv2+

Yes it's GPLv2+, because if you look at the source files you will notice:
"either version 2 of the License, or (at your option) any later version."

> - Duplicate BuildRequires: pkgconfig (by gtk2-devel), 
>   glib2-devel (by gtk2-devel), gtk2-devel (by libglade2-devel), 
>   zlib-devel (by openssl-devel)

IMHO it's duplicate but correct see bug #178031 comment #7 (this stuff is
checked by scons).

> - Rpmlint complaints on source rpm:
>  $ rpmlint linuxdcpp-1.0.0-1.fc7.src.rpm
> linuxdcpp.src:25: W: rpm-buildroot-usage %build FAKE_ROOT="$RPM_BUILD_ROOT"

Fixed.

http://mgarski.fedorapeople.org/linuxdcpp-1.0.0-2.fc7.src.rpm
http://mgarski.fedorapeople.org/linuxdcpp.spec

Comment 18 Jochen Schmitt 2007-10-14 18:24:52 UTC
Looks fine, you are APPROVED

Comment 19 Marcin Garski 2007-10-14 19:06:26 UTC
New Package CVS Request
=======================
Package Name: linuxdcpp
Short Description: Direct Connect client
Owners: mgarski
Branches: F-7
InitialCC:
Cvsextras Commits: yes

Comment 20 Kevin Fenzi 2007-10-14 19:36:13 UTC
cvs done.

Comment 21 Marcin Garski 2007-10-14 20:48:18 UTC
Thanks. Build in devel and F-7 tree.

Comment 22 Peter Hatina 2012-04-04 21:23:11 UTC
Package Change Request
======================
Package Name: linuxdcpp
New Branches: f16, f17
Owners: phatina

I want to continue maintaining this package. Please, create necessary branches for me.

Comment 23 Gwyn Ciesla 2012-04-05 12:08:10 UTC
This has been orphaned more than two weeks and should be re-reviewed,
contact me if you need a reviewer.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.